Remove expired exception rules
Deletes expired exception rules from the specified scenario.
HTTP Request
DELETE /api/sonar/exception-rules/expired
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-X DELETE \
"https://HOSTNAME/api/sonar/exception-rules/expired?type=STREAM&scenario_guid=b2c3d4e5-f6a7-8901-bcde-f12345678901"
Request Parameters
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| type | Yes | String | Type | STREAM or BATCH |
| scenario_guid | Yes | String | Scenario GUID | 36-character GUID |
Success Response
{
"failures": []
}
Error Responses
Scenario is not found
HTTP status code 400
{
"error_code": "invalid-argument",
"error_msg": "scenario-not-found"
}
Required parameter is missing
HTTP status code 400
{
"error_code": "null-argument",
"error_msg": "type should be not null"
}
Scenario GUID is not in valid GUID format
HTTP status code 400
{
"error_code": "invalid-param-type",
"error_msg": "scenario_guid should be guid type."
}